import Home from '../views/Home/Home.vue'
/* 档案信息 */
import firmInfo from '@/views/fileInfo/firmInfo.vue'
import pastureInfo from '@/views/fileInfo/pastureInfo.vue'
import areaInfo from '@/views/fileInfo/areaInfo.vue'
import workerInfo from '@/views/fileInfo/workerInfo.vue'
import test from '@/views/fileInfo/test.vue'

/* 智能养殖 */
import breed_info from '@/views/breed/breed_info.vue'
import sheepDistribute from '@/views/breed/sheepDistribute.vue'
import sheepLivestock from '@/views/breed/sheepLivestock.vue'
import warn from '@/views/breed/warn.vue'
import genealogy from '@/views/breed/genealogy.vue'
import ageDistribute from '@/views/breed/ageDistribute.vue'
import lambDistribute from '@/views/breed/lambDistribute.vue'
import poopSale from '@/views/breed/poopSale.vue'
import sheepSale from '@/views/breed/sheepSale.vue'
import sale from '@/views/breed/sale.vue'
import environment from '@/views/breed/environment.vue'

/* 屠宰管控 */
import head from '@/views/butcher/head.vue'
import quarantine from '@/views/butcher/quarantine.vue'
import quarantinePass from '@/views/butcher/quarantinePass.vue'
import waitSlaughter from '@/views/butcher/waitSlaughter.vue'
import cost from '@/views/butcher/cost.vue'
import productInventory from '@/views/butcher/productInventory.vue'
import numberDead from '@/views/butcher/numberDead.vue'
import acidLoss from '@/views/butcher/acidLoss.vue'
import saleCount from '@/views/butcher/saleCount.vue'
import onBatch from '@/views/butcher/onBatch.vue'

/* 产品管控 */
import headSum from '@/views/product/headSum.vue'
import sheepSkin from '@/views/product/sheepSkin.vue'
import sheepBlood from '@/views/product/sheepBlood.vue'
import sheepMixed from '@/views/product/sheepMixed.vue'
import warehouseUtilization from '@/views/product/warehouseUtilization.vue'


export default [
	{
		path: '/home',
		component: Home,
		children: [
			/* 档案信息 */
			{
				path: 'firmInfo',
				name: 'firmInfo',
				component: firmInfo
			},
			{
				path: 'pastureInfo',
				name: 'pastureInfo',
				component: pastureInfo
			},
			{
				path: 'areaInfo',
				name: 'areaInfo',
				component: areaInfo
			},
			{
				path: 'workerInfo',
				name: 'workerInfo',
				component: workerInfo
			},
			{
				path: 'test',
				name: 'test',
				component: test
			},
			/* 智能养殖 */
			{
				path: 'breed_info',
				name: 'breed_info',
				component: breed_info
			},
			{
				path: 'sheepDistribute',
				name: 'sheepDistribute',
				component: sheepDistribute
			},
			{
				path: 'sheepLivestock',
				name: 'sheepLivestock',
				component: sheepLivestock
			},
			{
				path: 'warn',
				name: 'warn',
				component: warn
			},
			{
				path: 'genealogy',
				name: 'genealogy',
				component: genealogy
			},
			{
				path: 'ageDistribute',
				name: 'ageDistribute',
				component: ageDistribute
			},
			{
				path: 'lambDistribute',
				name: 'lambDistribute',
				component: lambDistribute
			},
			{
				path: 'poopSale',
				name: 'poopSale',
				component: poopSale
			},
			{
				path: 'sheepSale',
				name: 'sheepSale',
				component: sheepSale
			},
			{
				path: 'sale',
				name: 'sale',
				component: sale
			},
			{
				path: 'environment',
				name: 'environment',
				component: environment
			},
			/* 屠宰管控 */
			{
				path: 'head',
				name: 'head',
				component: head
			},
			{
				path: 'quarantine',
				name: 'quarantine',
				component: quarantine
			},
			{
				path: 'quarantinePass',
				name: 'quarantinePass',
				component: quarantinePass
			},
			{
				path: 'waitSlaughter',
				name: 'waitSlaughter',
				component: waitSlaughter
			},
			{
				path: 'cost',
				name: 'cost',
				component: cost
			},
			{
				path: 'productInventory',
				name: 'productInventory',
				component: productInventory
			},
			{
				path: 'numberDead',
				name: 'numberDead',
				component: numberDead
			},
			{
				path: 'acidLoss',
				name: 'acidLoss',
				component: acidLoss
			},
			{
				path: 'saleCount',
				name: 'saleCount',
				component: saleCount
			},
			{
				path: 'onBatch',
				name: 'onBatch',
				component: onBatch
			},
			/* 产品管控 */
			{
				path: 'headSum',
				name: 'headSum',
				component: headSum
			},
			{
				path: 'sheepSkin',
				name: 'sheepSkin',
				component: sheepSkin
			},
			{
				path: 'sheepBlood',
				name: 'sheepBlood',
				component: sheepBlood
			},
			{
				path: 'sheepMixed',
				name: 'sheepMixed',
				component: sheepMixed
			},
			{
				path: 'warehouseUtilization',
				name: 'warehouseUtilization',
				component: warehouseUtilization
			},
		]
	},
]
